Skip to main content

Quick repost

This method instantly requeues the latest Posts for a given Job to selected Portals.

No PCP will be generated, and Config, Job, or Posts data cannot be updated in the process - for each Portal, the data is sent as-is, identical to the latest successful Post, and added to the Posting Queue immediately.

For most Portals, reposting a Job that already has a successful active Post to the given Portal, will result in that Post being updated on the website; however, whether the update happens ultimately depends on the website's setup, as well as the individual Post's current status and configuration. The idibu system will not be able to determine whether the Posting is an update until it receives an appropriate response from the Portal - which, within the Job's detailed view method's response, will be indicated by the <status> element's value under the given <posting> element.

Endpoint

POST https://ws.idibu.com/clients/api/REMOTE/V3/[client-hash]

Query parameters

Parameter NameType restrictionsRequired?Notes
xml_textStringYesThe full query XML (see the Query format below), URL-encoded within the parameter.

Query format

<idibu>
<method>quickrepost</method>
<job id="[integer]"> <!-- required; refer to https://docs.idibu.com/docs/v2/posting-api/job-section -->
<board id="[integer]" /> <!-- Portal ID; multiple allowed; each item will generate one posting attempt; if not provided, the system will attempt reposting to all Portals to which the Job has been previously successfully posted -->
</job>
</idibu>

Response format

Successful queue attempt

<idibu>
<JOB ID="[integer]"> <!-- Job ID; make sure to save and store this, as it's used for all other methods, as well as the https://docs.idibu.com/docs/v2/webservices/job-management -->
<POST STATUS="PENDING" TYPE="ADD" QUICKREPOST="YES" BOARDID="[integer]" QUEUEID="[integer]" PUBLISH="[string:date]" DURATION="[integer]" />
<!-- STATUS="PENDING" indicates that the posting has been successfully added to the Posting Queue -->
<!-- "TYPE" - always "ADD" for this method -->
<!-- "QUICKREPOST" - always "YES" -->
<!-- "BOARDID" - ID of the Portal to which the Post has been created -->
<!-- "QUEUEID" - ID of the Post while it's in the Posting Queue; can be used to cancel the posting - see https://docs.idibu.com/docs/v2/posting-api/cancel -->
<!-- "PUBLISH" - the earliest time when the system will attempt to send the Post (YYYY-MM-DD HH:mm); delays may occur -->
<!-- "DURATION" - how many days before the Post expires; refer to https://docs.idibu.com/docs/v2/posting-api/posts-section#duration -->
<POST STATUS="FAILED" BOARDID="[integer]" REASON="[not-subscribed|no-post|no-quota|no-quickrepost">[string]</POST>
<!-- STATUS="FAILED" indicates that the posting has not been added to the Posting Queue -->
<!-- "BOARDID" - ID of the Portal to which the Post has failed to queue -->
<!-- "REASON" - what caused the Post to not queue: -->
<!-- "not-subscribed" - This account is not subscribed to the stated board. -->
<!-- "no-post" - This job hasn't been previously succesfully posted to this board. -->
<!-- "no-quota" - The stated board has no quota available. -->
<!-- "no-quickrepost" - The board has been updated since the last time you posted to it, so a quick repost will likely fail. -->
</JOB>
</idibu>

Failed queue attempt

<idibu>
<JOB ID="[integer]"> <!-- Job ID; make sure to save and store this, as it's used for all other methods, as well as the https://docs.idibu.com/docs/v2/webservices/job-management -->
<ERROR TYPE="[credit|boards|posts]">[string]</ERROR>
<!-- "ERROR" indicates that the system did not attempt to queue any posts due to a critical issue: -->
<!-- "credit" - This is a pay-per-post account, and it has no credits left. Please ask your account administrator to contact idibu. Thanks. -->
<!-- "boards" - There are no subscribed boards. Please contact your account administrator -->
<!-- "posts" - No posts suitable for reposting were found for this job. -->
</JOB>
</idibu>

Examples

Example request

<?xml version="1.0" encoding="UTF-8"?>
<idibu>
<method>quickrepost</method>
<job id="12345">
<board id="1229" />
<board id="1234" />
<board id="1661" />
</job>
</idibu>

Example response - successful queue attempt

<?xml version="1.0" encoding="UTF-8" ?>
<idibu>
<JOB ID="12345">
<POST STATUS="FAILED" BOARDID="1229" REASON="not-subscribed">This account is not subscribed to the stated board.</POST>
<POST STATUS="PENDING" TYPE="ADD" QUICKREPOST="YES" BOARDID="1234" QUEUEID="6543210" PUBLISH="2025-06-15 00:01" DURATION="7" />
<POST STATUS="FAILED" BOARDID="1661" REASON="no-post">This job hasn't been previously succesfully posted to this board.</POST>
</JOB>
</idibu>

Example response - failed queue attempt

<?xml version="1.0" encoding="UTF-8" ?>
<idibu>
<JOB ID="12345">
<ERROR TYPE="posts">No posts suitable for reposting were found for this job.</ERROR>
</JOB>
</idibu>